Bug 2080204 - Correctly declare Jenkins URL with trailing slash
Summary: Correctly declare Jenkins URL with trailing slash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.10.z
Assignee: jawed
QA Contact: Jitendar Singh
URL:
Whiteboard:
Depends On: 1972451
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-29 08:53 UTC by OpenShift BugZilla Robot
Modified: 2022-05-31 12:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-31 12:40:03 UTC
Target Upstream Version:
jitsingh: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift jenkins pull 1441 0 None open [release-4.10] Bug 2080204: Correctly declare Jenkins URL with trailing slash 2022-05-18 01:01:20 UTC
Red Hat Product Errata RHBA-2022:4754 0 None None None 2022-05-31 12:40:30 UTC

Comment 5 Jitendar Singh 2022-05-25 05:07:38 UTC
 fix not found. 
==============
✘ jitsingh@jitsingh-mac  /usr/local/go/src/github.com/openshift  oc rsh jenkins-1-7vdzn
sh-4.4$ cat var/lib/jenkins/jenkins.model.JenkinsLocationConfiguration.xml
<?xml version='1.1' encoding='UTF-8'?>
<jenkins.model.JenkinsLocationConfiguration>
  <adminAddress>address not configured yet &lt;nobody@nowhere&gt;</adminAddress>
  <jenkinsUrl>https://jenkins-jenkins-test.apps.ci-ln-yz7l1fb-72292.origin-ci-int-gce.dev.rhcloud.com</jenkinsUrl>
</jenkins.model.JenkinsLocationConfiguration>

Comment 7 Jitendar Singh 2022-05-27 05:16:40 UTC
verified
==========
 ✘ jitsingh@jitsingh-mac  ~  oc import-image --confirm jenkins-jitsingh --from=quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4ca6d4f31c0334373611ce2d4d557f73ac32cffd91f710ebc6dce28ec14b358e
imagestream.image.openshift.io/jenkins-jitsingh imported

Name:			jenkins-jitsingh
Namespace:		jenkins-test
Created:		Less than a second ago
Labels:			<none>
Annotations:		openshift.io/image.dockerRepositoryCheck=2022-05-27T05:13:09Z
Image Repository:	image-registry.openshift-image-registry.svc:5000/jenkins-test/jenkins-jitsingh
Image Lookup:		local=false
Unique Images:		1
Tags:			1

latest
  tagged from quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4ca6d4f31c0334373611ce2d4d557f73ac32cffd91f710ebc6dce28ec14b358e

  * quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4ca6d4f31c0334373611ce2d4d557f73ac32cffd91f710ebc6dce28ec14b358e
      Less than a second ago

Image Name:	jenkins-jitsingh:latest
Docker Image:	quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4ca6d4f31c0334373611ce2d4d557f73ac32cffd91f710ebc6dce28ec14b358e
Name:		sha256:4ca6d4f31c0334373611ce2d4d557f73ac32cffd91f710ebc6dce28ec14b358e
Created:	Less than a second ago
Annotations:	image.openshift.io/dockerLayersOrder=ascending
Image Size:	609.9MB in 6 layers
Layers:		83.37MB	sha256:237bfbffb5f297018ef21e92b8fede75d3ca63e2154236331ef2b2a9dd818a02
		1.462kB	sha256:39382676eb30fabb7a0616b064e142f6ef58d45216a9124e9358d14b12dedd65
		17.4MB	sha256:a7635174fc67fd997681528eb831bf1c492bbb6b30ffd430aca98a9a89975bab
		11.16MB	sha256:804449b22e26cc93ec79fad318d5af873434fe344ccaf377c2487df2ad851776
		47.61MB	sha256:9b06a8d68951cb4763662a678dbef728882ca36bec76979270dbe96418ed7e31
		450.4MB	sha256:e410af4bff4f8bd2b2be5e575728b260e2607ea583fc69984bce4727bfbd1532
Image Created:	7 days ago
Author:		OpenShift Developer Services <openshift-dev-services+jenkins>
Arch:		amd64
Entrypoint:	/usr/bin/go-init -main /usr/libexec/s2i/run
Working Dir:	<none>
User:		1001
Exposes Ports:	50000/tcp, 8080/tcp
Docker Labels:	License=GPLv2+
		architecture=x86_64
		build-date=2022-05-19T08:39:08.866368
		com.redhat.build-host=cpt-1005.osbs.prod.upshift.rdu2.redhat.com
		com.redhat.component=openshift-jenkins-2-container
		com.redhat.license_terms=https://www.redhat.com/agreements
		description=Jenkins is a continuous integration server
		distribution-scope=public
		io.jenkins.version=latest
		io.k8s.description=Jenkins is a continuous integration server
		io.k8s.display-name=Jenkins 2
		io.openshift.build.commit.id=c8d7a0e46ec04a5d5f64afcf4d43903fe69ff457
		io.openshift.build.commit.url=https://github.com/openshift/jenkins/commit/c8d7a0e46ec04a5d5f64afcf4d43903fe69ff457
		io.openshift.build.source-location=https://github.com/openshift/jenkins
		io.openshift.expose-services=8080:http
		io.openshift.maintainer.component=Jenkins
		io.openshift.maintainer.product=OpenShift Container Platform
		io.openshift.maintainer.subcomponent=oc
		io.openshift.s2i.scripts-url=image:///usr/libexec/s2i
		io.openshift.tags=jenkins,jenkins2,ci
		maintainer=Red Hat, Inc.
		name=openshift/ose-jenkins
		release=202205190747.p0.gc8d7a0e.assembly.stream
		summary=Provides the latest release of the Red Hat Extended Life Base Image.
		url=https://access.redhat.com/containers/#/registry.access.redhat.com/openshift/ose-jenkins/images/v4.10.0-202205190747.p0.gc8d7a0e.assembly.stream
		vcs-ref=cf2588548723697c20edfd7620da42451a96cb69
		vcs-type=git
		vendor=Red Hat, Inc.
		version=v4.10.0
Environment:	__doozer=merge
		BUILD_RELEASE=202205190747.p0.gc8d7a0e.assembly.stream
		BUILD_VERSION=v4.10.0
		OS_GIT_MAJOR=4
		OS_GIT_MINOR=10
		OS_GIT_PATCH=0
		OS_GIT_TREE_STATE=clean
		OS_GIT_VERSION=4.10.0-202205190747.p0.gc8d7a0e.assembly.stream-c8d7a0e
		SOURCE_GIT_TREE_STATE=clean
		OS_GIT_COMMIT=c8d7a0e
		SOURCE_DATE_EPOCH=1652835796
		SOURCE_GIT_COMMIT=c8d7a0e46ec04a5d5f64afcf4d43903fe69ff457
		SOURCE_GIT_TAG=c8d7a0e
		SOURCE_GIT_URL=https://github.com/openshift/jenkins
		JENKINS_VERSION=2
		HOME=/var/lib/jenkins
		JENKINS_HOME=/var/lib/jenkins
		JENKINS_UC=https://updates.jenkins.io
		OPENSHIFT_JENKINS_IMAGE_VERSION=4.10
		LANG=en_US.UTF-8
		LC_ALL=en_US.UTF-8
		INSTALL_JENKINS_VIA_RPMS=true
		GODEBUG=x509ignoreCN=0,madvdontneed=1
		PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
		container=oci
Volumes:	/var/lib/jenkins


 jitsingh@jitsingh-mac  ~  oc new-app jenkins-ephemeral -p NAMESPACE=$(oc project -q) -p JENKINS_IMAGE_STREAM_TAG=jenkins-jitsingh:latest
--> Deploying template "openshift/jenkins-ephemeral" to project jenkins-test

     Jenkins (Ephemeral)
     ---------
     Jenkins service, without persistent storage.

     WARNING: Any data stored will be lost upon pod destruction. Only use this template for testing.

     A Jenkins service has been created in your project.  Log into Jenkins with your OpenShift account.  The tutorial at https://github.com/openshift/origin/blob/master/examples/jenkins/README.md contains more information about using this template.

     * With parameters:
        * Jenkins Service Name=jenkins
        * Jenkins JNLP Service Name=jenkins-jnlp
        * Enable OAuth in Jenkins=true
        * Memory Limit=1Gi
        * Jenkins ImageStream Namespace=jenkins-test
        * Disable memory intensive administrative monitors=false
        * Jenkins ImageStreamTag=jenkins-jitsingh:latest
        * Allows use of Jenkins Update Center repository with invalid SSL certificate=false
        * Image used for the 'jnlp' container of the sample 'java-sidecar' and 'nodejs-sidecar' PodTemplates=image-registry.openshift-image-registry.svc:5000/openshift/jenkins-agent-base:latest
        * Image used for the 'java' container of the sample 'java-builder' PodTemplate=image-registry.openshift-image-registry.svc:5000/openshift/java:latest
        * Image used for the 'nodejs' container of the sample 'nodejs-builder' PodTemplate=image-registry.openshift-image-registry.svc:5000/openshift/nodejs:latest

--> Creating resources ...
    route.route.openshift.io "jenkins" created
    configmap "jenkins-trusted-ca-bundle" created
    deploymentconfig.apps.openshift.io "jenkins" created
    serviceaccount "jenkins" created
    rolebinding.authorization.openshift.io "jenkins_edit" created
    service "jenkins-jnlp" created
    service "jenkins" created
--> Success
    Access your application via route 'jenkins-jenkins-test.apps.daily-4.10-052701.dev.openshiftappsvc.org'
    Run 'oc status' to view your app.
 jitsingh@jitsingh-mac  ~  oc get pods -w
NAME               READY   STATUS              RESTARTS   AGE
jenkins-1-deploy   1/1     Running             0          8s
jenkins-1-fgfdt    0/1     ContainerCreating   0          4s
jenkins-1-fgfdt    0/1     Running             0          17s
jenkins-1-fgfdt    1/1     Running             0          60s
jenkins-1-deploy   0/1     Completed           0          65s
jenkins-1-deploy   0/1     Completed           0          67s
^C%
 ✘ jitsingh@jitsingh-mac  ~  oc rsh jenkins-1-fgfdt
sh-4.4$ cat var/lib/jenkins/jenkins.model.JenkinsLocationConfiguration.xml
<?xml version='1.1' encoding='UTF-8'?>
<jenkins.model.JenkinsLocationConfiguration>
  <adminAddress>address not configured yet &lt;nobody@nowhere&gt;</adminAddress>
  <jenkinsUrl>https://jenkins-jenkins-test.apps.daily-4.10-052701.dev.openshiftappsvc.org/</jenkinsUrl>
</jenkins.model.JenkinsLocationConfiguration>

sh-4.4$ exit
exit
 jitsingh@jitsingh-mac  ~ 

Comment 9 errata-xmlrpc 2022-05-31 12:40:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.10.16 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:4754


Note You need to log in before you can comment on or make changes to this bug.